Skip to main content
PUT
/
api
/
dashboard
/
collections
/
{collection_id}
Update Collection
curl --request PUT \
  --url https://api.example.com/api/dashboard/collections/{collection_id} \
  --header 'Content-Type: application/json' \
  --data '
{
  "title": "<string>",
  "description": "<string>",
  "handle": "<string>",
  "image_url": "<string>",
  "sort_order": "<string>",
  "published": true
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "merchant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "title": "<string>",
  "description": "<string>",
  "handle": "<string>",
  "type": "<string>",
  "image_url": "<string>",
  "sort_order": "<string>",
  "published": true,
  "published_at": "2023-11-07T05:31:56Z",
  "products_count": 123,
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z"
}

Documentation Index

Fetch the complete documentation index at: https://docs.stella-commerce.com/llms.txt

Use this file to discover all available pages before exploring further.

Headers

authorization
string | null
X-API-Key
string | null
X-Stella-Merchant-Id
string | null

Path Parameters

collection_id
string<uuid>
required

Body

application/json

Schema for updating a collection.

title
string | null
Maximum string length: 255
description
string | null
handle
string | null
Maximum string length: 255
image_url
string | null
sort_order
string | null
Pattern: ^(manual|alpha-asc|alpha-desc|price-asc|price-desc|created-desc)$
published
boolean | null

Response

Successful Response

Schema for collection in responses.

id
string<uuid>
required
merchant_id
string<uuid>
required
title
string
required
description
string | null
required
handle
string | null
required
type
string
required
image_url
string | null
required
sort_order
string
required
published
boolean
required
published_at
string<date-time> | null
required
products_count
integer
required
created_at
string<date-time>
required
updated_at
string<date-time>
required